#
# spec file for package bootsplash-branding-openSUSE (Version 3.1)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# norootforbuild


Name:           bootsplash-branding-Linkat
Url:            http://www.bootsplash.org/
Version:        3.1
Release:        54.1
Summary:        Default Linkat Bootsplash Theme
License:        BSD 3-clause (or similar)
Group:          System/Boot
AutoReqProv:    on
PreReq:         %fillup_prereq perl
Supplements:    branding-Linkat
Provides:       bootsplash-branding
Obsoletes:      bootsplash-theme-SuSE
Provides:       bootsplash-theme-SuSE
# Scripts and programs
Source0:        Linkat.tar.bz2
# sysconfig files
Source1:       sysconfig.bootsplash-branding-Linkat
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       bootsplash >= 3.3-11
BuildArch:      noarch
Vendor:		linkat

%description
This package contains the default theme for Linkat's graphical boot. Find
more information at http://www.bootsplash.org/.

%prep
%setup -q -c
%setup -T -D -a 0

%build

%install
mkdir -p %{buildroot}/etc/bootsplash
cp -a themes %{buildroot}/etc/bootsplash
mkdir -p %{buildroot}/var/adm/fillup-templates
cp %{SOURCE1} %{buildroot}/var/adm/fillup-templates/

%post 
%{fillup_only -ns bootsplash branding-Linkat }
perl -pi -e 's/^(THEME=).*/$1"Linkat"/' /etc/sysconfig/bootsplash

%files
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/Linkat
%config /var/adm/fillup-templates/sysconfig.bootsplash-branding-Linkat

%changelog
* Wed Mar 24 2010 dlara@espherica.com
- Added Linkat brand. Deleted openSUSE, SLED, SLES, upstream brands
* Sun Sep 27 2009 crrodriguez@suse.de
- This is a "noarch" package
* Mon Sep 14 2009 snwint@suse.de
- updated openSUSE theme (bnc #538955)
* Fri Nov 14 2008 mls@suse.de
- add LICENSE file [bnc#436977]
* Mon Nov 10 2008 snwint@suse.de
- new openSUSE theme (bnc #434866)
* Fri Oct 17 2008 stbinner@suse.de
- create bootsplash-branding-upstream (bnc#425391)
* Thu Oct 16 2008 kukuk@suse.de
- updated SLE themes [bnc#431160]
* Mon Sep 29 2008 snwint@suse.de
- new SLE themes
* Tue Jun  3 2008 snwint@suse.de
- less distracting background in openSUSE theme (bnc #392673)
* Tue May 13 2008 snwint@suse.de
- fixed openSUSE config files
* Fri May  9 2008 snwint@suse.de
- provide old package name
- new openSUSE theme
* Thu Apr 10 2008 snwint@suse.de
- supplement branding-XXX
* Wed Apr  9 2008 snwint@suse.de
- reworked to match new branding scheme
- no longer contains gfxboot files
* Mon Feb  4 2008 snwint@suse.de
- adjust to new gfxboot package
* Mon Sep 17 2007 dmueller@suse.de
- fix splash triggers (#304735)
* Fri Aug 31 2007 snwint@suse.de
- added 1366x768 (#298025)
* Wed Jul 18 2007 coolo@suse.de
- Update SUSE theme for 10.3
* Wed Mar 21 2007 snwint@suse.de
- needs fribidi to build
* Fri Nov 24 2006 mls@suse.de
- use different opensuse logo [#215675]
* Fri Sep  1 2006 dobey@suse.de
- Update SUSE theme for 10.2
* Mon Mar 27 2006 dobey@suse.de
- Update SUSE, SLES, and SLED themes for more resolutions
- Require newest bootsplash version to avoid crashing at bootup on
  single-frame MNG animations
* Tue Mar 14 2006 dobey@suse.de
- Update SuSE theme configuration
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=150340
* Mon Mar 13 2006 snwint@suse.de
- adjusted to new gfxboot
- removed obsolete themes
* Mon Mar 13 2006 dobey@suse.de
- Update SLED and SLES themes to use final branding
* Tue Mar  7 2006 dobey@suse.de
- Update NLD and SLES themes to use blue color
* Wed Feb 22 2006 dobey@suse.de
- Update NLD, SLES and SuSE themes
- Fixes #147649 and #150340
* Tue Feb 14 2006 kukuk@suse.de
- Fix the SLES bootsplash paths
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 dobey@suse.de
- Update sles bootsplash artwork with server branding
- Update suse bootsplash artwork
* Wed Jan 18 2006 dobey@suse.de
- Update nld grub theme for new branding
- Update sles bootsplash artwork for new branding
* Mon Jan 16 2006 dobey@suse.de
- Update nld bootsplash for new branding
* Mon Dec 19 2005 dobey@suse.de
- Update nld bootsplash to new artwork
* Tue Nov 22 2005 jpr@suse.de
- update nld bootsplash for 10 alpha
* Mon Sep  5 2005 mls@suse.de
- updated animations [#115149]
* Mon Aug 29 2005 mls@suse.de
- update to new graphics
* Mon Aug 22 2005 mls@suse.de
- use real prelim of non-silent graphics
* Mon Aug 15 2005 ro@suse.de
- use prelim version for 10.0 graphics, non-silent mode
* Wed Aug  3 2005 mls@suse.de
- first shot at 10.0 graphics, silent mode only for now
* Wed Mar 16 2005 mls@suse.de
- transparent circ animation
* Mon Mar 14 2005 mls@suse.de
- move text a tiny bit to the left
* Mon Mar  7 2005 mls@suse.de
- first shot at suse 9.3
* Mon Jan 31 2005 snwint@suse.de
- gfxboot: translations and help texts have been renamed to *.tr and *.hlp
* Fri Oct  1 2004 mls@suse.de
- change circle logo to suse branding
* Wed Sep 29 2004 mls@suse.de
- updated text animations
- use white novell in verbose pics
- support YaST and system is down messages
- updated triggers to new names
* Thu Sep 23 2004 mls@suse.de
- added progress bar
- added "initializing hardware" text, renamed network to devices
* Sun Sep 19 2004 mls@suse.de
- created new silent pictures
- added animations
- adapted config files
* Fri Sep 10 2004 wimer@suse.de
-really updating the stuff-
* Fri Sep 10 2004 wimer@suse.de
-Updating verbose mode pics and erverting text to white-
* Wed Sep  8 2004 wimer@suse.de
-Changing text colors for the console (bug 44813)-
* Tue Sep  7 2004 snwint@suse.de
- fixed file name typo in Theme-SuSE
* Mon Sep  6 2004 wimer@suse.de
-Added 9.2 pics
* Wed Jul 14 2004 clahey@suse.de
- Updated NLD theme.
* Mon Jun  7 2004 clahey@suse.de
- Added NLD theme.
* Mon May 24 2004 wimer@suse.de
- fixed bug in rendering scripts resulting in DPCM instead of DPI
* Tue May 18 2004 wimer@suse.de
- fixing (once again) the 1280x1024 version
* Tue May 18 2004 wimer@suse.de
- adding new logos to the silent bootsplash pictures
* Wed Apr 21 2004 wimer@suse.de
- fixing problems with 1280x1024 version
* Fri Apr 16 2004 wimer@suse.de
- added sles bootsplash pics and configs
* Mon Apr  5 2004 wimer@suse.de
- fixed color value bug in theme SuSE (#38264, #38303)
* Sat Apr  3 2004 stepan@suse.de
- use NOROOTFORBUILD to avoid future conflicts with the ownership
  of files in the picture archives.
* Sat Apr  3 2004 wimer@suse.de
- changed the progress bar to work better with the rounded corners
* Fri Apr  2 2004 stepan@suse.de
- update SuSE theme configuration files
- update SuSE-Home theme configuration files
- update SuSE-SLES theme (pictures and configuration)
* Thu Apr  1 2004 stepan@suse.de
- update config file for 1024x768 (more to follow)
- fix typo in sysconfig.bootsplash-theme-SuSE-Home
* Mon Mar 29 2004 stepan@suse.de
- update pictures for SuSE and SuSE-Home Theme.
* Sun Mar 28 2004 stepan@suse.de
- drop UnitedLinux Theme
- add UnitedLinux Theme to Provides and Obsoletes of SLES Theme
* Tue Mar  2 2004 stepan@suse.de
- fix typoes
* Tue Mar  2 2004 stepan@suse.de
- add Theme for SuSE Linux Home
* Mon Mar  1 2004 snwint@suse.de
- adapted to new gfxboot package
* Fri Feb 27 2004 kukuk@suse.de
- Fix compiling on SLES9
* Fri Sep  5 2003 stepan@suse.de
- fix 9.0 theme.
* Wed Sep  3 2003 wimer@suse.de
- update to 9.0 theme.
* Mon Aug 18 2003 snwint@suse.de
- adapted to new gfxboot package
* Fri Jun 13 2003 ro@suse.de
- added directories to filelists
* Tue Jun  3 2003 stepan@suse.de
- copy bootloader message file in %%post section to get rid of
  the otherwise unneeded SuSEconfig.bootsplash script
* Thu Apr  3 2003 stepan@suse.de
- change image paths to /etc/bootsplash
* Thu Mar 20 2003 stepan@suse.de
- initial version. split off package bootsplash
